{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

  environment.systemPackages = with pkgs; [
    # Securité
    gnome3.seahorse # gestionnaire graphique de clef GPG
    pass            # gestionnaire de mots de passe
    pwgen           # générateur de mots de passe
    slock           # vérouiller l''écran. "cannot disable the out-of-memory killer for this process (make sure to suid or sgid slock)" --> en root
    yubikey-personalization-gui # utilisation de la clef Yubikey
  ];
}
