{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.print {
  # Enable CUPS to print documents.
  services.printing = {
    enable = true;
    drivers = [
      pkgs.samsung-unified-linux-driver
    ];
    # Suppression automatique des fichiers temporaires.
    # Par défaut, cups conserve une copie de ce qui a été imprimé
    # pas cool pour les mots de passe ou autre donnée sensible
    extraConf = ''
      PreserveJobHistory No
      PreserveJobFiles No
    '';
  };
}
